Smush not compatible with PHP 7

I have been trying to make my website, community.sensitiveevolution.com work with PHP 7. Siteground looked at it and discovered that WP Smush Pro is incompatible.

  • Maria

    This is from the support thread.

    "I have investigated this thoroughly at my end and enabled/disable the plugin several times in the last few minutes. I was not able to locate what exactly is triggering the 500 Error when WP Smush Pro is enabled on PHP 7, however, it appears that it works flawlessly with PHP 7.1 that I have now set.

    I would recommend leaving PHP 7.1 as it is and there might be some incompatibility with the specific PHP 7.0 version that we are running on this server or another assumption of mine is the WPMU triggering it with WP Smush."

  • James Morris

    Hello Maria,

    I sincerely apologize for the delay in response to this thread.

    I've extensively tested Smush on PHP 7.0.x and 7.1.x and have seen numerous members on the 7.0.x branch use Smush successfully. So, I'm afraid the issue is not PHP 7.0.x, but some other issue.

    I will be happy to dig into this issue further for you, if you would like, but I will need access to your site and server in order to do so.

    Please visit the Contact page and complete the form with the following information:

    Subject: "Attn: James Morris"

    In the Message box, please provide the following:

    - link back to this thread for reference
    - any other relevant urls

    - Admin login:
    Admin username
    Admin password
    Login url

    - Hosting Control Panel Login
    Admin username
    Admin password
    Login url

    - FTP credentials
    host
    username
    password
    (and port if required)

    Best regards,

    James Morris